[Ubuntu 14.04.03] powerpc-utils package update

Bug #1455580 reported by bugproxy on 2015-05-15
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
powerpc-ibm-utils (Debian)
Fix Released
Unknown
powerpc-ibm-utils (Ubuntu)
Wishlist
Unassigned
Trusty
Undecided
Adam Conrad
Utopic
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

This package contains utilities which are intended for maintenance of IBM
powerpc platforms that follow the POWER Architecture Platform Reference (PAPR),

Current upstream version:
http://sourceforge.net/projects/powerpc-utils/files/powerpc-utils/powerpc-utils-1.2.25.tar.gz/download

bugproxy (bugproxy) on 2015-05-15
tags: added: architecture-ppc64 bugnameltc-124876 severity-high targetmilestone-inin14043

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1455580/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → powerpc-utils (Ubuntu)
Logan Rosen (logan) on 2015-05-23
tags: added: upgrade-software-version
Changed in powerpc-utils (Ubuntu):
importance: Undecided → Wishlist
Logan Rosen (logan) on 2015-05-23
Changed in powerpc-utils (Ubuntu):
status: New → Triaged
Changed in powerpc-utils (Debian):
status: Unknown → New
Adam Conrad (adconrad) wrote :

Vivid and Wily already ship 1.2.25. Trusty and Utopic ship 1.2.22. What is the justification for a request to backport 1.2.25 to trusty?

affects: powerpc-utils (Debian) → powerpc-ibm-utils (Debian)
affects: powerpc-utils (Ubuntu) → powerpc-ibm-utils (Ubuntu)
Changed in powerpc-ibm-utils (Ubuntu Vivid):
status: New → Fix Released
Changed in powerpc-ibm-utils (Ubuntu):
status: Triaged → Fix Released
Changed in powerpc-ibm-utils (Debian):
status: New → Fix Released
Steve Langasek (vorlon) on 2015-06-03
Changed in powerpc-ibm-utils (Ubuntu Trusty):
assignee: nobody → Adam Conrad (adconrad)
milestone: none → ubuntu-14.04.3
status: New → Incomplete

------- Comment From <email address hidden> 2015-06-05 13:13 EDT-------
Making Vasant's comment external:

> Looked into upstream and we have handful of patches to be backported and we
> have patches applicable to all different platforms (PowerVM, PowerKVM,
> guest).
>
> Since we are targeting PowerVM support in this release, can we request
> Ubuntu to just rebase to 1.2.25 instead of backporting patches?
>
> I think in this case rebasing is easier than backport + rebuild package +
> test..
>
> Breno,
> This is Power specific package and doesn't impact any other platform. Also
> I think we can sign up for testing this package (assuming FVT will test
> 14.04.03!).
>
> -Vasant

Diane Brent (drbrent) wrote :

Hohnbaum and I discussed this some yesterday. Appears Canonical is waiting on justification from IBM for the backport, yet our request is for a move to 1.2.25 because 1) there are many bug fixes here and 2) we need this for PowerVM in 14.04.3.

So is Canonical rejecting the request for move to 1.2.25?
If yes, then what more do you need in justification for backporting select patches to 14.04? Seems in either case the risk is low, or at least isolated to Power.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-07-21 18:15 EDT-------
One of the last commit, part of the 1.2.26 release
commit 09630ae59954de064f379f085e710ba34b999ae4 is related to LMB and affinity,
and commit 09630ae59954de064f379f085e710ba34b999ae4 is about lsslot command for memory output.
These 2 commits dated of june 2015 seem to justify need of getting them available.
As powerpc-ibm-util is IBM specific I believe that upgrading the package is easier than applying some commit to current release and do backport + rebuild package + test.. By default, getting this new package reduce time of testing already done.

Adam Conrad (adconrad) wrote :

Diane, it's not so much a rejection as a request for clarification. The original bug report (and this is true of pretty much all the "please update to latest upstream version" bugs) just included the new version number and a description of the package. That doesn't satisfy any requirements on our end to determine *why* a new version is needed, all it tells us is that a new version is wanted, which isn't a reason in itself to update.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-07-22 16:58 EDT-------
Ok so further action is required on IBM side then... to better articulate the category or types of things fixed or enabled in the 1.2.25 or 1.2.26 version to justify moving to it. Otherwise stated, what will be broken if we don't move to this level.

I know this has changes for PowerVM, PowerKVM and host, and Thierry's comment mentions "LMB and affinity, and lsslot command for memory output." Will follow up on IBM side. Thanks.

Adam Conrad (adconrad) on 2015-07-27
Changed in powerpc-ibm-utils (Ubuntu Utopic):
status: New → Won't Fix
Changed in powerpc-ibm-utils (Ubuntu Trusty):
status: Incomplete → In Progress
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-07-29 19:47 EDT-------
Marking this comment private:

Wiithout this ppc utils and ppc diag package feature 124878 update PowerVM
customers will be unable to perform Live Partition Migration (LPM) of an
ppc64le LPAR which is a major RAS concern.

For powerpc-utils....
Updating to the latest level of powerpc-utils provides many bug fixes,
notably the following fixes. Correct Live Partition Migration, update of the
ppc64-diag package also needed for this (see LTC BZ 124878 / LP 1463063), so
that we can successfully migrate a partition. LPM functionality is broken
without updating.

Correction to memory dlpar add so that new memory is correctly added to the
the numa node it belongs to, without this fix all added memory goes to numa
node zero.

Remove the ability to dlpar remove the last cpu on the system and
corrections to dlpar functionality when specifying the device by its name.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-07-29 20:13 EDT-------
*** Bug 125714 has been marked as a duplicate of this bug. ***

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-07-29 20:21 EDT-------
*** Bug 127426 has been marked as a duplicate of this bug. ***

Hello bugproxy, or anyone else affected,

Accepted powerpc-ibm-utils into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/powerpc-ibm-utils/1.2.26-1~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in powerpc-ibm-utils (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Chris J Arges (arges) wrote :

Hello bugproxy, or anyone else affected,

Accepted powerpc-ibm-utils into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/powerpc-ibm-utils/1.2.26-1~15.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) on 2015-08-04
Changed in powerpc-ibm-utils (Ubuntu Vivid):
status: Fix Released → Fix Committed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package powerpc-ibm-utils - 1.2.26-1~14.04.1

---------------
powerpc-ibm-utils (1.2.26-1~14.04.1) trusty; urgency=medium

  * Straight backport to trusty for ppc64el hardware enablement.

powerpc-ibm-utils (1.2.26-1) unstable; urgency=medium

  * New upstream release, with many drmgr memory fixes (LP: #1455580)
  * debian/control: Bump to Standards-Version 3.9.6, with no changes.

powerpc-ibm-utils (1.2.25-1) unstable; urgency=medium

  * New upstream release, with LE and hotplug fixes (LP: #1441856)
  * Drop our ppc64_cpu manpage, upstream has written a better one.

powerpc-ibm-utils (1.2.24-1) unstable; urgency=medium

  * New upstream release, with still more LE fixes (closes: #767854)
  * Update debian/watch site from ozlabs to sf.net (closes: #774958)

 -- Adam Conrad <email address hidden> Tue, 04 Aug 2015 13:19:45 -0600

Changed in powerpc-ibm-utils (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for powerpc-ibm-utils has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package powerpc-ibm-utils - 1.2.26-1~15.04.1

---------------
powerpc-ibm-utils (1.2.26-1~15.04.1) vivid; urgency=medium

  * Straight backport to vivid for ppc64el hardware enablement.

powerpc-ibm-utils (1.2.26-1) unstable; urgency=medium

  * New upstream release, with many drmgr memory fixes (LP: #1455580)
  * debian/control: Bump to Standards-Version 3.9.6, with no changes.

 -- Adam Conrad <email address hidden> Tue, 04 Aug 2015 13:19:45 -0600

Changed in powerpc-ibm-utils (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related blueprints

Remote bug watches

Bug watches keep track of this bug in other bug trackers.